ISCSI-TARGET(8) | System Manager's Manual | ISCSI-TARGET(8)

# NAME

`iscsi-target` — service remote iSCSI requests

# SYNOPSIS

`iscsi-target` | [`-46DV`] [`-b` block length] [`-f` configuration file] [`-p` port number] [`-s` maximum number of sessions] [`-t` target name] [`-v` verbose arg]

# DESCRIPTION

`iscsi-target` is the server for iSCSI requests from iSCSI initiators. `iscsi-target` listens for discovery and login requests on the required port, and responds to those requests appropriately.

Options and operands available for `iscsi-target`:

`-4`
  `iscsi-target` will listen for IPv4 connections, and respond back using IPv4. This is the default address family.
`-6`
  `iscsi-target` will listen for IPv6 connections, and respond back using IPv6.
`-b` blocksize
  Specify the underlying block size for iSCSI storage which will be served. The possible sizes are: 512, 1024, 2048, and 4096 bytes, with the default being 512 bytes.
`-D`
  When this option is specified, `iscsi-target` will not detach itself from the controlling tty, and will not become a daemon. This can be useful for debugging purposes.
`-f` configfile
  Use the named file as the configuration file. The default file can be found in /etc/iscsi/targets. See targets(5) for more information.
`-p` port number
  Use the port number provided as the argument as the port on which to listen for iSCSI service requests from initiators.
`-s` maximum number of sessions
  Allow the maximum number of sessions to be initiated when connecting to the target.
`-t` filename
  The target name (as it appears to the iSCSI initiator) can be specified using this flag.
`-V`
  `iscsi-target` will print the utility name and version number, and the address for bug reports, and then exit.
`-v` argument
  The amount of information shown can be varied by using this command. Possible values of argument are net to show network-related information, iscsi to show iSCSI protocol-related information, scsi to show SCSI protocol information, and all to show information from all of the above arguments.

# FILES

/etc/iscsi/targets
  the list of exported storage
/var/run/iscsi-target.pid
  the PID of the currently running `iscsi-target`

# SEE ALSO

targets(5)

# HISTORY

The `iscsi-target` utility first appeared in NetBSD 4.0.

May 27, 2006 | NetBSD 11.99